seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/02/25, 17:47:52


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: [solved] Kein DU mehr möglich ?  (Read 3197 times)

0 Members and 1 Guest are viewing this topic.

Offline kwoby

  • User
  • Posts: 45
[solved] Kein DU mehr möglich ?
« on: 2011/05/17, 18:35:34 »
Unter init 3 :
(2.6.38-6.slh.2-aptosid-amd64)
(vor 3 Wo leztes DU)


Ich habe folgende Fehlermeldug (Debian Bug)

Bug 627025 (data loss in output when both stanout and stderr are redirected to a pipe, some of the output data can be lost)

Bug 627072 (following testing renders rdd unusable)

Weiss jemand wie weiter?
Danke
Kwoby

Online towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.328
Kein DU mehr möglich ?
« Reply #1 on: 2011/05/17, 18:45:18 »
Gehts noch ungenauer?
Wann kommt welche Meldung, und bitte den genauen Konsolenoutput.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.394
Kein DU mehr möglich ?
« Reply #2 on: 2011/05/17, 19:30:46 »
apt-listbugs?

greetz
devil

jackyohh

  • Guest
Re: Kein DU mehr möglich ?
« Reply #3 on: 2011/05/17, 22:41:25 »
Quote from: "towo"
Gehts noch ungenauer?
Wann kommt welche Meldung, und bitte den genauen Konsolenoutput.


Umgangston!!?? Zwar hast du vom Prinzip her recht, aber das kann man sicherlich auch sagen, ohne jemanden vor den Kopf zu stoßen !!!!

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.394
Re: Kein DU mehr möglich ?
« Reply #4 on: 2011/05/17, 23:25:58 »
der umgangston ist imho völlig ok. vor den kopf stossen geht anders. wir müssen doch nicht kuscheln hier.

greetz
devil

jackyohh

  • Guest
Re: Kein DU mehr möglich ?
« Reply #5 on: 2011/05/17, 23:43:07 »
naja hat eigentlich nichts mit kuscheln zu tun. vl ist man aus der vergangenheit schon ganz anderes gewohnt und stumpft deshalb langsam ab. wollte nur darauf hinweisen, dass der ton die musik macht!

Offline hubi

  • User
  • Posts: 142
Re: Kein DU mehr möglich ?
« Reply #6 on: 2011/05/18, 00:17:45 »
Quote from: "kwoby"
Weiss jemand wie weiter?

Klar doch. Nummern in die Debian Bug-Datenbank eingeben. Dort steht dann mehr. In deinem Fall:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=627025
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=627072

hubi

holgerw

  • Guest
Re: Kein DU mehr möglich ?
« Reply #7 on: 2011/05/18, 06:37:03 »
Quote from: "jackyohh"
naja hat eigentlich nichts mit kuscheln zu tun. vl ist man aus der vergangenheit schon ganz anderes gewohnt und stumpft deshalb langsam ab. wollte nur darauf hinweisen, dass der ton die musik macht!


Hallo,

für @towo war der Beitrag doch ziemlich verbindlich ;-)

Hier ist er sehr direkt aber ich kann auch nichts Schlimmes an seinem Ton finden.

Viele Grüße,
  Holger

Offline kwoby

  • User
  • Posts: 45
[solved] Kein DU mehr möglich ?
« Reply #8 on: 2011/05/18, 06:55:02 »
ich dachte mit den debian nummers sei die Frage klar. Ich habe wohl die Bug-tracking Einträge gelesen weiss aber nicht was ich damit anfangen kann.
Nun heute morgen:
Code: [Select]
apt-get update
apt-get dist-upgrade

gibt folgende andere Bugs:
Code: [Select]



apt-get dist-upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants seront ENLEVÉS :
  libperl5.10
Les NOUVEAUX paquets suivants seront installés :
  g++-4.6 grub-pc-bin grub2-common libatkmm-1.6-1 libboost-program-options1.46.1 libgd2-noxpm libntfs-3g804 libperl5.12 libstdc++6-4.6-dev libxcb-util0
Les paquets suivants seront mis à jour :
  akonadi-server alsa-base alsa-utils apt-conf-aptosid aptosid-art-kde aptosid-art-kde-geras aptosid-art-kde-keres aptosid-art-kdm-geras aptosid-art-kdm-keres aptosid-art-ksplash-geras
  aptosid-art-ksplash-keres aptosid-art-wallpaper aptosid-art-wallpaper-geras aptosid-art-wallpaper-keres aptosid-art-xfce-geras aptosid-art-xsplash-geras aptosid-irc aptosid-manual-common
  aptosid-manual-de aptosid-manual-en aptosid-manual-fr aptosid-scripts aptosid-settings-kde binutils bridge-utils ca-certificates-java ceni configure-cups cpp cpp-4.4 cpp-4.5 cryptsetup dbus dbus-x11
  debconf debconf-i18n debconf-utils debhelper debianutils dictionaries-common distro-defaults dpkg dpkg-dev e2fslibs e2fsprogs elinks-lite feh fll-iso2usb fluxbox g++ g++-4.4 g++-4.5 gcc gcc-4.4
  gcc-4.4-base gcc-4.5 gcc-4.5-base gfxboot-theme-aptosid gfxboot-themes-aptosid-2010-02-keres-core gfxboot-themes-aptosid-2011-01-geras-core gir1.2-glib-2.0 glib-networking gmobilemedia
  google-chrome-stable grub-common grub-pc icedove icedove-l10n-fr iceweasel imagemagick infobash initscripts install-usb-gui irssi iso-codes k3b k3b-data k9copy kaffeine kdelibs-bin kdelibs5-data
  kdelibs5-plugins kdepimlibs-kio-plugins kdoctools kernel-remover kexec-tools lib32asound2 liba52-0.7.4 libaa1 libakonadi-contact4 libakonadi-kabc4 libakonadi-kcal4 libakonadi-kde4 libakonadi-kmime4
  libakonadiprivate1 libanyevent-perl libasound2 libasyncns0 libaudio2 libavahi-client3 libavahi-common-data libavahi-common3 libavahi-glib1 libbfb0 libboost-program-options1.42.0 libcairo-perl libcap-ng0
  libcddb2 libcomerr2 libcrush1 libcryptsetup1 libcurses-perl libdb4.7 libdb4.8 libdbus-1-3 libdirac-encoder0 libdpkg-perl libdrm-intel1 libdrm-nouveau1a libdrm-radeon1 libdrm2 libdvbpsi6 libevent-perl
  libexif12 libexo-1-0 libexo-common libgeoip1 libgirepository-1.0-1 libgl1-mesa-dri libgl1-mesa-glx libglib-perl libglu1-mesa libgpgme++2 libgpgme11 libgphoto2-2 libgphoto2-port0 libgpod4-nogtk
  libgraphicsmagick3 libgstreamer-plugins-base0.10-0 libgstreamer0.10-0 libgtk2-perl libgtkmm-2.4-1c2a libgudev-1.0-0 libieee1284-3 libimobiledevice1 libio-pty-perl libiptcdata-bin libiptcdata0 libk3b6
  libk3b6-extracodecs libkabc4 libkblog4 libkcal4 libkde3support4 libkdecore5 libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkfile4 libkholidays4 libkhtml5 libkimap4 libkimproxy4 libkio5 libkjsapi4
  libkjsembed4 libkldap4 libkmediaplayer4 libkmime4 libknewstuff2-4 libknewstuff3-4 libknotifyconfig4 libkntlm4 libkontactinterface4 libkparts4 libkpimidentities4 libkpimtextedit4 libkpimutils4 libkpty4
  libkresources4 libkrosscore4 libktexteditor4 libktnef4 libkunitconversion4 libkutils4 libkxmlrpcclient4 liblcms1 libldap-2.4-2 liblocale-gettext-perl libmagickcore3 libmagickwand3 libmailtransport4
  libmicroblog4 libmodplug1 libmozjs2d libmpfr4 libmtp8 libmulticobex1 libmysqlclient16 libnepomuk4 libnepomukquery4a libntfs-3g80 libobexftp0 libogg0 libopenraw1 liborc-0.4-0 libpam-modules libpam-runtime
  libpam0g libpango-perl libpaper1 libpcap0.8 libphonon4 libpixman-1-0 libplasma3 libplist1 libpq5 libqgpgme1 libqt4-assistant libqt4-dbus libqt4-declarative libqt4-designer libqt4-help libqt4-network
  libqt4-opengl libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqt4-test libqt4-webkit libqt4-xml libqt4-xmlpatterns libqtcore4 libqtgui4
  libreoffice-base-core libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw libreoffice-help-de libreoffice-help-en-us libreoffice-help-fr libreoffice-impress libreoffice-kde
  libreoffice-l10n-de libreoffice-l10n-fr libreoffice-math libreoffice-style-galaxy libreoffice-writer libruby libruby1.8 libschroedinger-1.0-0 libselinux1 libsensors4 libslang2 libsnmp-base libsnmp15
  libsolid4 libss2 libstartup-notification0 libstdc++6-4.4-dev libstdc++6-4.5-dev libsvga1 libsyndication4 libterm-readkey-perl libtext-charwidth-perl libtext-iconv-perl libthreadweaver4 libtwolame0
  libudev0 libvte9 libwebkit-1.0-2 libwebkit-1.0-common libwpd-0.9-9 libwps-0.2-2 libwxbase2.8-0 libwxgtk2.8-0 libxcb-keysyms1 libxcb-render-util0 libxext6 libxfixes3 libxine1-xvdr libxmu6 libxmuu1
  linux-libc-dev linux-sound-base mysql-common mysql-server-core-5.1 ntfs-3g obexftp os-prober pcmciautils perl perl-base perl-modules phonon pkg-config python-cups python-gobject python-kde4
  python-wxgtk2.8 python-wxversion python-xapian qemu-keymaps qemu-utils qt4-qmake rdiff-backup resolvconf ruby ruby1.8 smb4k splix squashfs-tools sun-java6-bin sun-java6-fonts sun-java6-jre
  sun-java6-plugin syslinux syslinux-common sysv-rc sysvinit sysvinit-utils ttf-opensymbol tvtime udev udev-config-aptosid uno-libs3 ure vim vim-common virtualbox-ose-guest-utils virtualbox-ose-guest-x11
  wget wireless-regdb x11-utils xdg-browser-launcher xosview xserver-common xserver-xorg-core xserver-xorg-input-evdev xserver-xorg-input-mouse xserver-xorg-input-synaptics xserver-xorg-input-vmmouse
  xserver-xorg-input-wacom xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-ati xserver-xorg-video-chips xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-i128
  xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga xserver-xorg-video-neomagic xserver-xorg-video-openchrome xserver-xorg-video-r128 xserver-xorg-video-radeon                        
  xserver-xorg-video-rendition xserver-xorg-video-s3 xserver-xorg-video-s3virge xserver-xorg-video-savage xserver-xorg-video-siliconmotion xserver-xorg-video-sis xserver-xorg-video-sisusb                    
  xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-vesa xserver-xorg-video-vmware xserver-xorg-video-voodoo xulrunner-1.9.1                                                              
376 mis à jour, 10 nouvellement installés, 1 à enlever et 0 non mis à jour.                                                                                                                                    
Il est nécessaire de prendre 0 o/494 Mo dans les archives.                                                                                                                                                    
Après cette opération, 32.2 Mo d'espace disque supplémentaires seront utilisés.                                                                                                                                
Souhaitez-vous continuer [O/n] ? o                                                                                                                                                                            
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
grave bugs of libstartup-notification0 (0.10-1 -> 0.11-2) <unfixed>
 #626717 - libstartup-notification0: 0.11 breaks ABI for sn_launchee_context_setup_window
serious bugs of initscripts (2.88dsf-13.2 -> 2.88dsf-13.6) <unfixed>
 #626846 - initscripts: doesn't correctly detect chroot on GNU/kFreeBSD
Summary:
 libstartup-notification0(1 bug), initscripts(1 bug)
Are you sure you want to install/upgrade the above packages? [Y/n/?/...] n
****************************************************************************
****** Exit with an error by force in order to stop the installation. ******
****************************************************************************
E: Le sous-processus /usr/sbin/apt-listbugs apt || exit 10 a renvoyé un code d'erreur (10)
E: Failure running script /usr/sbin/apt-listbugs apt || exit 10

die Error codes sind nun andere. ich weiss nicht wie weiter? Die Bugreports helfen mir nicht viel.

Danke für Hilfe.

Online towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.328
[solved] Kein DU mehr möglich ?
« Reply #9 on: 2011/05/18, 07:31:34 »
Es mag hart klingen, aber wenn man mit apt-listbugs nicht klar kommen, sollte man es einfach nicht verwenden.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline arwa

  • User
  • Posts: 89
Re: Kein DU mehr möglich ?
« Reply #10 on: 2011/05/18, 08:26:14 »
Quote from: "jackyohh"
Umgangston!!??

Die Aussage von towo kann man durchaus verschieden betonen. Von total angenervt (so hast Du sie wohl gelesen) bis sachlich trocken (so würde ich sie lesen). Das ist das Problem von fehlender Mimik, Gestik und Betonung beim geschrieben Wort.

Jeder der sich durch solche Beiträge angep%$t fühlt, sollte ihn sich nochmal durchlesen und prüfen, ob man ihn nicht einfach etwas freundlicher betonen kann ;)

Quote from: "kwoby"
Code: [Select]

grave bugs of libstartup-notification0 (0.10-1 -> 0.11-2) <unfixed>
 #626717 - libstartup-notification0: 0.11 breaks ABI for sn_launchee_context_setup_window
serious bugs of initscripts (2.88dsf-13.2 -> 2.88dsf-13.6) <unfixed>
 #626846 - initscripts: doesn't correctly detect chroot on GNU/kFreeBSD



Du hast das Paket apt-listbugs installiert. Das klinkt sich in das dist-upgrade ein und prüft erstmal, ob zu den zu installierenden Paketen irgendwelche möglicherweise(!) kritischen Fehler vorliegen und meldet diese dann. Das ist hier geschehen. Jetzt sollte man sich die Meldungen durchlesen und versuchen, zu entscheiden, ob sie für einen persönlich wirklich gravierend sind. Vielleicht braucht man die Funktionalität gar nicht.

Die Bugreports findest Du, indem Du hinter http://bugs.debian.org/ die Bugreport-Nummer angibst, wie oben schon jemand für zwei Fälle es geschrieben hat.

Wenn man die Bugs nicht zu bewertet weiß, ist es das Sicherste, zu warten, bis sie gefixt sind. Idealerweise hat man auch noch eine zweite Systempartition mit einer Testinstallation des Systems. Dann kann man die erstmal upgraden und wenn noch alles läuft, das Hauptsystem upgraden.

Bug 626717 mit der libstartup-notification0 schlug bei mir auch auf. Ich hatte nach dem Lesen des Reports und Prüfen der Paketversionen bechlossen, dass er nicht so gravierend für mich sein wird. Ich müsste mich da erstmal wieder reindenken, wie ich dazu kam. Auf jeden Fall läuft das System noch.

Bug 626846 wird dich sicherlich nicht betreffen. Oder hast Du GNU/kFreeBSD statt des Linux-Kernels am Start?

Offline kwoby

  • User
  • Posts: 45
[solved] Kein DU mehr möglich ?
« Reply #11 on: 2011/05/18, 08:46:15 »
Towo,

Devil fragte nach apt-listbugs...und habe in seinem Post nicht verstanden ob er fragte ob die Fehlermeldung von apt-listbugs komme.
Ich erinnere mich nicht wann ich dieses Packet installiert hatte, wahrscheinlich im Zusammenhang mit einem Post im Forum...

Ich habe apt-listbugs desinstalliert und ein DU gemacht. Es geht!

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.394
[solved] Kein DU mehr möglich ?
« Reply #12 on: 2011/05/18, 08:49:17 »
gute idee.

wenn du mal in der lage bist, die angezeigten bugs zu bewerten, kannst du es wieder installieren. bis dahin schau einfach vor dist-upgrade in die upgrade warnings.

greetz
devil